> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-api-common-tasks-cookbook.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Authzen Policy

> DeleteAuthzenPolicy deletes a CEL policy revision. Refused while any
 of the app's AuthZEN servers has the policy active.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/apps/{app_id}/authzen_policies/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/authzen_policies/{id}:
    delete:
      tags:
        - AuthZEN Policies
      summary: Delete Authzen Policy
      description: |-
        DeleteAuthzenPolicy deletes a CEL policy revision. Refused while any
         of the app's AuthZEN servers has the policy active.
      operationId: c1.api.authzen.v1.AuthzenServerService.DeleteAuthzenPolicy
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: App identifier.
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: Policy identifier.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.authzen.v1.AuthzenServerServiceDeleteAuthzenPolicyRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.authzen.v1.AuthzenServerServiceDeleteAuthzenPolicyResponse
          description: AuthzenServerServiceDeleteAuthzenPolicyResponse confirms deletion.
components:
  schemas:
    c1.api.authzen.v1.AuthzenServerServiceDeleteAuthzenPolicyRequestInput:
      description: |-
        AuthzenServerServiceDeleteAuthzenPolicyRequest deletes a CEL policy
         revision.
      title: Authzen Server Service Delete Authzen Policy Request
      type: object
      x-speakeasy-name-override: AuthzenServerServiceDeleteAuthzenPolicyRequest
    c1.api.authzen.v1.AuthzenServerServiceDeleteAuthzenPolicyResponse:
      description: AuthzenServerServiceDeleteAuthzenPolicyResponse confirms deletion.
      title: Authzen Server Service Delete Authzen Policy Response
      type: object
      x-speakeasy-name-override: AuthzenServerServiceDeleteAuthzenPolicyResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````